Bug 1423563 - festival: FTBFS in rawhide
festival: FTBFS in rawhide
Status: NEW
Product: Fedora
Classification: Fedora
Component: festival (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F26FTBFS
  Show dependency treegraph
 
Reported: 2017-02-17 08:53 EST by Fedora Release Engineering
Modified: 2017-03-01 00:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (56.99 KB, text/plain)
2017-02-17 08:53 EST, Fedora Release Engineering
no flags Details
root.log (337.59 KB, text/plain)
2017-02-17 08:53 EST, Fedora Release Engineering
no flags Details
state.log (623 bytes, text/plain)
2017-02-17 08:53 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2017-02-17 08:53:25 EST
Your package festival failed to build from source in current rawhide.

https://koji.fedoraproject.org/koji/taskinfo?taskID=17715234

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
Comment 1 Fedora Release Engineering 2017-02-17 08:53:31 EST
Created attachment 1252068 [details]
build.log
Comment 2 Fedora Release Engineering 2017-02-17 08:53:36 EST
Created attachment 1252069 [details]
root.log
Comment 3 Fedora Release Engineering 2017-02-17 08:53:39 EST
Created attachment 1252070 [details]
state.log
Comment 4 Matthew Miller 2017-02-17 09:13:39 EST
Adding Trevor and Gary because of their comments in #1336981. Getting this fixed would be a good place to start in keeping Festival alive in Fedora. (If that isn't possible, it will be retired for F26, and we can look at bringing it back for F27 with the upcoming new version.)
Comment 5 Fedora End Of Life 2017-02-28 06:31:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 6 Gary Sprang 2017-02-28 22:54:30 EST
Yes, it is under bug#139019, where I originally commented.
Trevor, Alan Black of CSTR has released an intermediate version of Festival.  Several others and I have tested it, and it seems to work under Fedora 25 (GCC6).
I am not well-versed in packaging, but if you are, could you commit the new version?  It is at: 
http://tts.speech.cs.cmu.edu/awb/for_gcc6/
Alan Black of CSTR says he is working on a new release of Festival in the near future.
-Gary Sprang
Comment 7 Trevor Cordes 2017-03-01 00:53:00 EST
Hi, unfortunately just recently I got more busy than I was and probably won't have the time to devote to handling festival at the moment.  Maybe someone else can?

Though I have worked with rpmbuild and spec files, etc, extensively, I have never officially handled something for Fedora so my initial learning curve would probably be longer than I can commit to at the moment.  But maybe in the future (I would like to!).

Note You need to log in before you can comment on or make changes to this bug.